#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAC,0xF1,0x69,0xB5,0xA6,0xDC,0x03,0xD9,0xBC,0x55,0x75,0xC0,
		0xDA,0x14,0xBE,0x8F,0x29,0xBD,0xFD,0x21,0x86,0x4E,0xD5,0x0B,
		0xDD,0x61,0xD1,0xB4,0x6F,0xDD,0x52,0x80,0xFE,0xD8,0x4B,0xE4,
		0x5B,0xBA,0x8E,0xD6,0xC8,0x9D,0xC2,0xB2,0xC0,0xED,0xC6,0x88,
		0x80,0x07,0x76,0x33,0xF7,0x2F,0x9D,0x53,0x38,0x69,0x57,0xCF,
		0xE4,0xD3,0x39,0x07,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
